aboutsummaryrefslogtreecommitdiff
path: root/standalone
diff options
context:
space:
mode:
authorGravatar Joey Hess <joeyh@joeyh.name>2015-09-11 12:32:00 -0400
committerGravatar Joey Hess <joeyh@joeyh.name>2015-09-11 12:44:27 -0400
commitaede78869b2d9daa0c5e5d3f01824824e8d28ae4 (patch)
tree0af07682e60e948787b55962b1e63ae5b5476825 /standalone
parent2aedcb351349cd2b5c65fff0c7207e5f510798ba (diff)
get git-annex working even if user doesn't add git to path
This is pretty complicated, but I have both "git-annex" and "git annex" working both in the git bash shell even with git not added to path. And, when git's added to path, both work from MS-DOS prompt window too. I think that the webapp startup does still need git in path, so instructions will keep saying to do that. But, users often disregard them, and hopefully this will reduce support traffic. Also, switched the wget from the cygwin one to the msys2 one, avoiding the complication of needing to bundle any cygwin dlls.
Diffstat (limited to 'standalone')
-rwxr-xr-xstandalone/windows/build-simple.sh5
-rwxr-xr-xstandalone/windows/build.sh23
2 files changed, 15 insertions, 13 deletions
diff --git a/standalone/windows/build-simple.sh b/standalone/windows/build-simple.sh
index 7e0f40bab..65be71271 100755
--- a/standalone/windows/build-simple.sh
+++ b/standalone/windows/build-simple.sh
@@ -35,7 +35,4 @@ fi
# Build the installer
cabal install nsis
ghc --make Build/NullSoftInstaller.hs -fno-warn-tabs
-PATH="$PATH:/cygdrive/c/Program Files/NSIS"
-# Want to include cygwin programs in bundle, not others, since
-# it includes the cygwin libs that go with them.
-withcygpreferred Build/NullSoftInstaller.exe
+PATH="$PATH:/cygdrive/c/Program Files/NSIS" Build/NullSoftInstaller.exe
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index 86b28847c..91037eec3 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -58,20 +58,25 @@ if ! withcyg cabal build; then
Build/EvilLinker
fi
-# Build the installer
-cabal install nsis
-ghc -fforce-recomp --make Build/NullSoftInstaller.hs -fno-warn-tabs
-# Want to include cygwin programs in bundle, not others, since
-# it includes the cygwin libs that go with them.
-# Currently need an different version of rsync than the one from cygwin.
-# This rsync build originally comes from https://msys2.github.io/,
-# and it works with the ssh bundled with git for windows.
+# Get extra programs to bundle with git-annex.
+# These are msys2 programs, from https://msys2.github.io/.
+# Since git for windows uses msys2, and includes its libraries,
+# these programs will work well with it.
if [ ! -e rsync.exe ] || [ "$(sha1sum rsync.exe)" != "85cb7a4d16d274fcf8069b39042965ad26abd6aa" ]; then
rm -f rsync.exe || true
withcyg wget https://downloads.kitenet.net/git-annex/windows/assets/rsync.exe
withcyg chmod +x rsync.exe
fi
-PATH=".:/c/cygwin/bin:$PATH" Build/NullSoftInstaller.exe
+if [ ! -e wget.exe ] || [ "$(sha1sum wget.exe)" != "044380729200d5762965b10123a4f134806b01cf" ]; then
+ rm -f wget.exe || true
+ withcyg wget https://downloads.kitenet.net/git-annex/windows/assets/wget.exe
+ withcyg chmod +x wget.exe
+fi
+
+# Build the installer
+cabal install nsis
+ghc -fforce-recomp --make Build/NullSoftInstaller.hs -fno-warn-tabs
+Build/NullSoftInstaller.exe
rm -f last-incremental-failed